diff --git a/changelog b/changelog
index c57088b..a04dfe8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130123 tpd src/axiom-website/patches.html 20130123.01.tpd.patch
+20130123 tpd src/input/Makefile tree.regress added
+20130123 tpd src/input/tree.input fixed
 20130122 tpd src/axiom-website/patches.html 20130122.01.tpd.patch
 20130122 tpd src/input/Makefile trigtests added
 20130122 tpd src/input/trigtests.input added
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index eaefa97..2d1da29 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3949,5 +3949,7 @@ src/input/cherry.input added
 books/bookvolbib add Koutschan
 <a href="patches/20130122.01.tpd.patch">20130122.01.tpd.patch</a>
 src/input/trigtests.input added
+<a href="patches/20130123.01.tpd.patch">20130123.01.tpd.patch</a>
+src/input/tree.regress added
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 0b5ddde..e6e330f 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -400,7 +400,7 @@ REGRESSTESTS= ackermann.regress \
     test.regress      testpackage.regress \
     testprob.regress  textfile.regress torus.regress    tuplebug.regress \
     tpiezas001.regress \
-    tpiezas002.regress trigtests.regress \
+    tpiezas002.regress tree.regress    trigtests.regress \
     triglim.regress   tsetcatvermeer.regress            tutchap1.regress \
     typetower.regress void.regress      uniseg.regress \
     unittest1.regress unittest2.regress unittest3.regress unittest4.regress \
diff --git a/src/input/tree.input.pamphlet b/src/input/tree.input.pamphlet
index 841e17c..6be4b7c 100644
--- a/src/input/tree.input.pamphlet
+++ b/src/input/tree.input.pamphlet
@@ -24,7 +24,7 @@
 bt := BinaryTree INT
 --R 
 --R
---R   (1)  BinaryTree Integer
+--R   (1)  BinaryTree(Integer)
 --R                                                                 Type: Domain
 --E 1
 
@@ -33,7 +33,7 @@ ebtree:=empty()$(BTREE INT)
 --R 
 --R
 --R   (2)  []
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 2
 
 --S 3 of 35
@@ -54,11 +54,11 @@ insleaf(x,t)==
 --S 5 of 35
 b:bt:=reduce(insleaf,[8,3,5,4,6,2,1,5,7],ebtree)
 --R 
---R   Compiling function insleaf with type (Integer,BinaryTree Integer)
---R       -> BinaryTree Integer 
+--R   Compiling function insleaf with type (Integer,BinaryTree(Integer))
+--R       -> BinaryTree(Integer) 
 --R
 --R   (5)  [[[1,2,.],3,[[.,4,5],5,[.,6,7]]],8,.]
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 5
 
 --S 6 of 35
@@ -84,10 +84,11 @@ fln t==
 --S 9 of 35
 fln b
 --R 
---R   Compiling function fln with type BinaryTree Integer -> List Integer 
+--R   Compiling function fln with type BinaryTree(Integer) -> List(Integer
+--R      ) 
 --R
 --R   (9)  [1,2,3,4,5,5,6,7,8]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 9
 
 --S 10 of 35
@@ -111,11 +112,11 @@ split(x,t)==
 --S 12 of 35
 split(3,b)
 --R 
---R   Compiling function split with type (Integer,BinaryTree Integer) -> 
---R      List BinaryTree Integer 
+--R   Compiling function split with type (Integer,BinaryTree(Integer)) -> 
+--R      List(BinaryTree(Integer)) 
 --R
 --R   (12)  [[1,2,.],[[.,3,[[.,4,5],5,[.,6,7]]],8,.]]
---R                                                Type: List BinaryTree Integer
+--R                                              Type: List(BinaryTree(Integer))
 --E 12
 
 --S 13 of 35
@@ -143,29 +144,29 @@ a:List INT:=[8,3,9,4,6,2,1,5,7]
 --R 
 --R
 --R   (16)  [8,3,9,4,6,2,1,5,7]
---R                                                           Type: List Integer
+--R                                                          Type: List(Integer)
 --E 16
 
 --S 17 of 35
 l1:=bleaf a
 --R 
---R   Compiling function bleaf with type List Integer -> BinaryTree 
---R      Integer 
+--R   Compiling function bleaf with type List(Integer) -> BinaryTree(
+--R      Integer) 
 --R
 --R   (17)  [[[1,2,.],3,[.,4,[5,6,7]]],8,9]
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 17
 
 --S 18 of 35
 r1:=broot reverse a
 --R 
---R   Compiling function broot with type List Integer -> BinaryTree 
---R      Integer 
---R   Compiling function insroot with type (Integer,BinaryTree Integer)
---R       -> BinaryTree Integer 
+--R   Compiling function broot with type List(Integer) -> BinaryTree(
+--R      Integer) 
+--R   Compiling function insroot with type (Integer,BinaryTree(Integer))
+--R       -> BinaryTree(Integer) 
 --R
 --R   (18)  [[[1,2,.],3,[.,4,[5,6,7]]],8,9]
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 18
 
 --S 19 of 35
@@ -181,7 +182,7 @@ broot a
 --R 
 --R
 --R   (20)  [[[.,1,[.,2,[3,4,.]]],5,6],7,[8,9,.]]
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 20
 
 --S 21 of 35
@@ -189,7 +190,7 @@ bleaf reverse a
 --R 
 --R
 --R   (21)  [[[.,1,[.,2,[3,4,.]]],5,6],7,[8,9,.]]
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 21
 
 --S 22 of 35
@@ -235,15 +236,15 @@ btourn x == reduce(mg1,x,ebtree)
 --S 28 of 35
 btourn a
 --R 
---R   Compiling function btourn with type List Integer -> BinaryTree 
---R      Integer 
---R   Compiling function mg with type (BinaryTree Integer,BinaryTree 
---R      Integer) -> BinaryTree Integer 
---R   Compiling function mg1 with type (Integer,BinaryTree Integer) -> 
---R      BinaryTree Integer 
+--R   Compiling function btourn with type List(Integer) -> BinaryTree(
+--R      Integer) 
+--R   Compiling function mg with type (BinaryTree(Integer),BinaryTree(
+--R      Integer)) -> BinaryTree(Integer) 
+--R   Compiling function mg1 with type (Integer,BinaryTree(Integer)) -> 
+--R      BinaryTree(Integer) 
 --R
 --R   (28)  [[.,8,3],9,[[4,6,[[.,2,1],5,.]],7,.]]
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 28
 
 --S 29 of 35
@@ -282,20 +283,20 @@ broot a
 --R 
 --R
 --R   (34)  [[[.,1,[.,2,[3,4,.]]],5,6],7,[8,9,.]]
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 34
 
 --S 35 of 35
 btourn invert a
 --R 
---R   Compiling function sort2 with type List List Integer -> List List 
---R      Integer 
---R   Compiling function invert with type List Integer -> List Integer 
---R   Compiling function cmp with type (List Integer,List Integer) -> 
+--R   Compiling function sort2 with type List(List(Integer)) -> List(List(
+--R      Integer)) 
+--R   Compiling function invert with type List(Integer) -> List(Integer) 
+--R   Compiling function cmp with type (List(Integer),List(Integer)) -> 
 --R      Boolean 
 --R
 --R   (35)  [[[.,7,[.,6,[2,4,.]]],8,5],9,[1,3,.]]
---R                                                     Type: BinaryTree Integer
+--R                                                    Type: BinaryTree(Integer)
 --E 35
 )spool 
 )lisp (bye)
